Bug 454343 - Tapping a song in the playlist view with the touchscreen should play it
Summary: Tapping a song in the playlist view with the touchscreen should play it
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-05-24 16:09 UTC by Firlaev-Hans
Modified: 2022-06-03 20:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Firlaev-Hans 2022-05-24 16:09:10 UTC
SUMMARY
If you double click on a song in the Playlist view with the mouse it starts playing, but not if you use a touch screen.
It would be a nice enhancement for touch users if double tapping a song made it play, particularly because the inline play button for a song is not shown until it is selected.

SOFTWARE/OS VERSIONS
Elisa 22.07.70 (built today)
Operating System: Fedora Linux 36
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.17.8-300.fc36.x86_64 (64-bit)
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-05-25 15:47:12 UTC
Double tap is generally not a great UX on touch. I think single-tap enough should do it. That's *probably* what the user wanted.
Comment 2 Firlaev-Hans 2022-05-25 15:56:37 UTC
(In reply to Nate Graham from comment #1)
> Double tap is generally not a great UX on touch. I think single-tap enough
> should do it. That's *probably* what the user wanted.

But then how do you use the other buttons (remove, show details, ...) on touch screens? Currently they are only shown when tapping on a song once. One might want to use these buttons without playing that song.
Comment 3 Nate Graham 2022-05-26 15:57:10 UTC
On touch, we can make the hamburger button on the right side always appear.
Comment 4 Nate Graham 2022-06-03 20:20:54 UTC
Git commit 0d8c7b859d11f4d59882c3cf5076353d06ba28b8 by Nate Graham.
Committed on 03/06/2022 at 20:03.
Pushed by ngraham into branch 'master'.

Play song in playlist when tapped with a touchscreen

Double-click isn't a thing on touch; people expect things to react on a
single tap. Let's honor that assumption by making playlist items play
when tapped once with a tochscreen. To make the extra actions for
unselected songs more accessible, now playlist items' overflow menu
buttons are always visible.
Related: bug 434437
FIXED-IN: 22.08

M  +3    -3    src/qml/PlayListEntry.qml
M  +2    -2    src/qml/shared/BasePlayListDelegate.qml

https://invent.kde.org/multimedia/elisa/commit/0d8c7b859d11f4d59882c3cf5076353d06ba28b8